############################################
# Name: ggs_lag.ksh #
# Author: vladimir.grigorian@acs-in.com
# PURPOSE: TO MONITOR LAG OF GOLDEN GATE #
# NOTE: THIS SCRIPT CALLS ggs.ksh #
# THIS SCRIPT NOTIFY IF LAG IS MORE THEN 30 MIN #
# ONLY FOR FOR EXT AND PMP PROCESS GROUP #
###########################################
export GGATE=/opt/app/gg2/gg
alias gate='clear;cd $GGATE;./ggsci'
export PATH=/opt/app/gg2/gg:/usr/sbin:/usr/lib/qt-3.3/bin:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:$PATH
export LD_LIBRARY_PATH=$ORACLE_HOME/lib:/usr/lib:/opt/app/gg2/gg:
LOGDIR=/opt/app/gg2/gg/log
EMAILFile=/tmp/ggdr.log
BOX=$(uname -a | awk '{print $2}')

rm -rf /tmp/ggdr.log

rm -rf /u02/gg/target/diprm

echo -e "Starting GoldenGate parameters sync between production MA $BOX and Disaster recovery server tt0sludb07pma \n Refreshing dirdat\n " >> /tmp/ggdr.log

rsync -avzhe ssh /u02/gg/source/dirprm --exclude-from '/u02/gg/source/scripts/exclude_list.txt' localhost:/u02/gg/target/ >> /tmp/ggdr.log

echo -e " \n \n Changing DR GoldenGate parameter files to reflect the Standby SID  \n \n " >> /tmp/ggdr.log

/u02/gg/source/scripts/ggdr_sync_02_rename_SID.ksh >> /tmp/ggdr.log

echo -e " \n \n GoldenGate DR Sync Completed successfully on $(date) on $BOX \n \n " >> /tmp/ggdr.log


##########################################################
## SENDING EMAIL IF ERRORS ARE IN LOGFILE ###
##########################################################

mailx -s "PROD MA GoldenGate Disaster Recovery Parameters Sync Completed on $BOX at $(date)" grigorianvlad@gmail.com < $EMAILFile
